> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Get impact metrics configuration for the instance

GET https://app.unleash-instance.example.com/api/admin/impact-metrics/config

**Enterprise feature**

Gets all impact metrics configurations now associated with any feature flag.

Reference: https://docs.getunleash.io/api/get-instance-impact-metrics-configs

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Response

### 200

impactMetricsConfigListSchema

- `configs` (list of impactMetricsConfigSchema, required) — The list of impact metrics configurations.

## Types

### impactMetricsConfigSchema

Describes the configuration for a single impact metric chart.

- `id` (string, required) — The unique ULID identifier for this impact metric configuration. Generated automatically if not provided.
- `metricName` (string, required) — The Prometheus metric series to query. It includes both unleash prefix and metric type and display name
- `timeRange` (enum, required) — The time range for the metric data.
  - Allowed values: `hour`, `day`, `week`, `month`
- `aggregationMode` (enum, required) — The aggregation mode for the metric data.
  - Allowed values: `rps`, `count`, `avg`, `sum`, `p95`, `p99`, `p50`
- `labelSelectors` (map from string to list of string, required) — The selected labels and their values for filtering the metric data.
- `displayName` (string, required) — The human readable display name of the impact metric
- `yAxisMin` (enum, required) — Whether the chart should begin at zero on the y-axis.
  - Allowed values: `auto`, `zero`
- `source` (enum, optional) — The Prometheus data source for this metric. Defaults to internal.
  - Allowed values: `internal`, `external`
- `step` (enum, optional, nullable) — The step interval for querying metrics data. This is automatically calculated from the timeRange and stored when the metric is created or updated.
  - Allowed values: `1m`, `15m`, `3h`, `1d`
- `title` (string, optional) — Optional title for the impact metric chart.
- `mode` (enum, optional) — The access mode for this impact metric configuration: "read" when referenced by a safeguard, "write" otherwise.
  - Allowed values: `read`, `write`

## Examples

**Response**

```json
{
  "configs": [
    {
      "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
      "metricName": "unleash_counter_feature_toggle_usage_total",
      "timeRange": "day",
      "aggregationMode": "rps",
      "labelSelectors": {
        "environment": [
          "development"
        ],
        "project": [
          "default"
        ]
      },
      "displayName": "feature_toggle_usage_total",
      "yAxisMin": "auto",
      "source": "internal",
      "step": "15m",
      "title": "Feature Toggle Usage",
      "mode": "write"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/impact-metrics/config"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/impact-metrics/config';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/impact-metrics/config"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/impact-metrics/config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/impact-metrics/config")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/impact-metrics/config', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/impact-metrics/config");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/impact-metrics/config")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```